Subject: Re: Default compiler behaviour for b19
From: [email-masked] (Geoffrey Noer)

9 Sep 1997 06:35:26 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Anthony Wesley" at Sep 5, 97 11:23:31 am
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

Anthony Wesley wrote:
> 
> Perhaps I am misreading the comments on the gnuwin32 home page, but it
> looks like Cygnus are proposing to have "gcc -o foo foo.c" generate
> native win32 binaries by default and not link with cygwin.dll. To
> compile UNIX-ish tools and link with the cygwin.dll library you will
> have to supply an extra command line option.

Yes, and this may still happen at some point down the road.  Beta 19 will
still default to linking in Cygwin.dll.

> This seems silly to me, and the wrong way around. After all, gcc and all
> the nice tools and development environment came from the UNIX land, so
> surely generating UNIX-ish binaries should be the default, making
> porting UNIX applications and tools the native mode, whereas generating
> pure win32 binaries should be the "foreign" mode.

Perhaps, it depends on whether the goal is a Unix compiler running under
Win32 or a Win32 compiler running under Win32 with a Unix compatibility
option...

> It would be really strange to have "gcc -o foo foo.c" not work as
> expected by people coming from the UNIX world.

The auto-append of .exe by gcc is something that has been argued to death
on gcc mailing lists.  I have mixed feelings about it.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".